# about:buildconfig

## Build platform

target
arm-unknown-linux-gnu

## Build tools

Compiler | Version | Compiler flags
--- | --- | ---
arm-linux-gcc -march=armv5te -mtune=xscale | gcc version 3.4.3 | -Wall -W -Wno-unused -Wpointer-arith -Wcast-align -Wno-long-long -I/home/koen/OE/build/tmp/familiar//staging/arm-linux/include -Os -fsigned-char -fno-strict-aliasing -pthread -pipe

arm-linux-g++ -march=armv5te -mtune=xscale

gcc version 3.4.3

-fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wno-long-long -I/home/koen/OE/build/tmp/familiar//staging/arm-linux/include -Os -fsigned-char -fno-strict-aliasing -fpermissive -pthread -pipe -I/home/koen/OE/build/tmp/familiar//staging/arm-linux/include

## Configure arguments

--enable-application=browser --enable-default-toolkit=gtk2 --enable-xft --disable-freetype2 --disable-xul --disable-profilesharing --disable-profilelocking --enable-single-profile --disable-extensions --disable-accessibility --disable-composer --disable-extensions --disable-installer --disable-jsd --disable-jsloader --disable-ldap --disable-mailnews --disable-mathml --disable-necko-disk-cache --disable-postscript --disable-view-source --disable-xpfe-components --disable-xpinstall --disable-xprint --enable-native-uconv --enable-plaintext-editor-only --disable-v1-string-abi --disable-plugins --enable-necko-small-buffers --disable-dtd-debug --disable-logging --disable-tests --enable-crypto --enable-necko-protocols=http,file,res,jar --enable-image-decoders=png,gif,jpeg --enable-optimize=-Os --enable-strip --disable-debug --enable-reorder --enable-elf-dynstr-gc --disable-shared --enable-static --target=arm-linux --host=i686-linux --build=i686-linux --prefix=/usr --enable-application=suite